org.keycloak.sessions

## Class AuthenticationSessionCompoundId

- java.lang.Object
- - org.keycloak.sessions.AuthenticationSessionCompoundId

-     public class AuthenticationSessionCompoundId
      extends Object

  Allow to encode compound string to fully lookup authenticationSessionModel
  Author:
    Marek Posolda

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthenticationSessionCompoundId(String rootSessionId, String tabId, String clientUUID, String encodedId)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AuthenticationSessionCompoundId` | `decoded(String rootAuthSessionId, String tabId, String clientUUID)`
    `static AuthenticationSessionCompoundId` | `encoded(String encodedId)`
    `static AuthenticationSessionCompoundId` | `fromAuthSession(AuthenticationSessionModel authSession)`
    `String` | `getClientUUID()`
    `String` | `getEncodedId()`
    `String` | `getRootSessionId()`
    `String` | `getTabId()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AuthenticationSessionCompoundId

          public AuthenticationSessionCompoundId(String rootSessionId,
                                                 String tabId,
                                                 String clientUUID,
                                                 String encodedId)

  - ### Method Detail

    - #### fromAuthSession

          public static AuthenticationSessionCompoundId fromAuthSession(AuthenticationSessionModel authSession)

    - #### decoded

          public static AuthenticationSessionCompoundId decoded(String rootAuthSessionId,
                                                                String tabId,
                                                                String clientUUID)

    - #### encoded

          public static AuthenticationSessionCompoundId encoded(String encodedId)

    - #### getRootSessionId

          public String getRootSessionId()

    - #### getTabId

          public String getTabId()

    - #### getClientUUID

          public String getClientUUID()

    - #### getEncodedId

          public String getEncodedId()

Copyright © 2020 JBoss by Red Hat. All rights reserved.